curl --request POST \
--url https://api.twexapi.io/v3/twitter/send-dm \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"recipient": "baker_donn80196",
"text": "hello from docs",
"cookie": "ct0=abc123... or 2c4a4e1832096aa694c739b83c83b6d96d43eba7",
"media_urls": [
"https://example.com/image.jpg"
],
"pin": "1234",
"proxy": "http://username:password@ip:port"
}
'import requests
url = "https://api.twexapi.io/v3/twitter/send-dm"
payload = {
"recipient": "baker_donn80196",
"text": "hello from docs",
"cookie": "ct0=abc123... or 2c4a4e1832096aa694c739b83c83b6d96d43eba7",
"media_urls": ["https://example.com/image.jpg"],
"pin": "1234",
"proxy": "http://username:password@ip:port"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
recipient: 'baker_donn80196',
text: 'hello from docs',
cookie: 'ct0=abc123... or 2c4a4e1832096aa694c739b83c83b6d96d43eba7',
media_urls: ['https://example.com/image.jpg'],
pin: '1234',
proxy: 'http://username:password@ip:port'
})
};
fetch('https://api.twexapi.io/v3/twitter/send-dm', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 200,
"msg": "success",
"data": {
"attachment": {
"type": "image",
"url": "https://example.com/image.jpg"
},
"id": "1234567890123456789",
"text": "Hello, how are you?",
"time": "2024-01-01T12:00:00Z"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Send DM (XChat v3)
Send DM via XChat encrypted chat API (1:1 or existing group g…), optional image via media_urls (max 1). $0.0025 per call.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Parameters for sending DM via XChat v3
User id, @handle, or a group id (g...) for an existing group.
"baker_donn80196"
Message body.
"hello from docs"
Twitter authentication cookie or Twitter auth_token, how-to-get-twitter-cookie
"ct0=abc123... or 2c4a4e1832096aa694c739b83c83b6d96d43eba7"
Public URL of one image to attach (max 1).
1["https://example.com/image.jpg"]Identity PIN (default 1234).
"1234"
Proxy ref for XChat session. Example: http://username:password@ip:port [blocked]
"http://username:password@ip:port"
Response
A message object.
Response for sending DM
Response code
200
Message sent
"success"
message object
Show child attributes
Show child attributes
{
"attachment": {
"type": "image",
"url": "https://example.com/image.jpg"
},
"id": "1234567890123456789",
"text": "Hello, how are you?",
"time": "2024-01-01T12:00:00Z"
}